Subject: Re: [Simple]Question on MESSAGE

From: "Salvatore Loreto (JO/LMF)" <[email-masked]>
Date: Mon, 06 Mar 2006 09:26:03 +0200

On Mon, 2006-02-27 at 00:38 -0500, Michael Zhou wrote:
> If you want to do session mode IM, then you need to establish the
> session using INVITE and send IM inside the INVITE dialog. Microsoft
> Mesenger implements session mode IM.

a question about Mesenger implementation of session mode IM:

how Mesenger keeps alive the session during an inactivity period ?
does it leaves to expire the session and then reestablish it at the next
message? 

/sal

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Ben Campbell <[email-masked]>
Date: Thu, 16 Mar 2006 17:32:10 -0600

Sorry for the late response.

Creating a dialog with INVITE for the sole purpose of sending MESSAGE  
requests is not a "standard" behavior, and is explicitly recommended  
against RFC 3428. This is not to say that there are not proprietary  
implementations that do just that, but they are, uhm, proprietary.

The SIMPLE standard for message sessions is to use MSRP as the  
message transport. MSRP sessions _are_ created using INVITE and SDP.  
The MSRP messages are not sent in the SIP dialog, rather they are  
sent as part of an associated media session, much the same as how it  
is done for RTP.

On Feb 26, 2006, at 11:38 PM, Michael Zhou wrote:

> There is another mode, called pager mode IM, where you don't have to
> send INVITE prior to MESSAGE. All MESSAGE's in this case are out of  
> any
> dialog. Gaim and Sametime and others implements pager mode IM.
>
> Michael
>
>
>
> Ren-Huang Liou wrote:
>> Hi,
>>
>> Do I need to send INVITE in order to establish session, before I  
>> send MESSAGE request?
>> Two internet drafts about this issue has been expired for a long  
>> time.
>> (SDP Extensions for SIP Instant Message Sessions, SIP Instant  
>> Message Sessions)
>>
>> Does it mean that I don't need to send INVITE, before I send MESSAGE?
>>
>> Thanks in advance
>>
>> Best regards,
>> Ren-Huang Liou
>>
>>
>>